EDIT - feature request #7422

Set nom. illeg as default in NomenclaturalStatusType ComboBox
05/16/2018 12:36 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal

Description

for botanical names the default status type should be nom. illeg because it is the most used type.

Associated revisions

Revision 458080b3 - 05/16/2018 01:06 PM - Katja Luther

set nom illeg. as default in nomenclatural status type combo box

Revision Oefab289 - 06/13/2018 02:44 PM - Katja Luther

fix #7422: if nomenclatural status has no type, don't change selected type in details view

Revision 70729183 - 06/18/2018 10:44 AM - Katja Luther

smaller changes

History

#1 - 05/17/2018 02:22 PM - Andreas Miiller
- Priority changed from Priority14 to Highest

- Target version changed from Release 5.0 to Release 5.1

#2 - 05/17/2018 09:23 PM - Andreas Miiller

- Status changed from New to In Progress

KL: Mmh, doch es wird eigentlich nom illeg ausgew&hlt und es hat auch funktioniert, aber gerade eben habe ich es auch probiert und er setzt zwar
die selection, aber es wird das falsche angezeigt :-/

#3 - 06/13/2018 02:44 PM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|0efab2895d93de6bf45d1375b7494fe2c96f33ac.

#4 - 06/13/2018 02:45 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 50 to 0

please review

#5 - 06/15/2018 03:16 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

Works now and ticket can be closed.

However, | realized that the status in the drop down are not sorted at all. We should try to do this to make searching easier.

One possibility is to use natural order as the vocabulary is OrderedVocabulary. However, the existing order does not make much sense. So | guess

an alphabetical order makes more sense.
If this is easy to fix you may do this within this ticket. Otherwise feel free to open a new one.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/0efab2895d93de6bf45d1375b7494fe2c96f33ac

#6 - 06/15/2018 03:17 PM - Andreas Miiller

Andreas Miller wrote:
However, | realized that the status in the drop down are not sorted at all. We should try to do this to make searching easier.
One possibility is to use natural order as the vocabulary is OrderedVocabulary. However, the existing order does not make much sense. So |

guess an alphabetical order makes more sense.
If this is easy to fix you may do this within this ticket. Otherwise feel free to open a new one.

We may also move the most important ones to the top (nom. illeg., nom. inval., +?), and the rest being sorted alphabetically).

#7 - 06/15/2018 03:18 PM - Andreas Miiller

- Status changed from Resolved to Feedback

#8 - 06/15/2018 03:25 PM - Andreas Miller
- File picture135-1.png added

Critical: ohh, there is an open issue.
When only creating the new status but not explicitly selecting nom. illeg. "not defined" shows up in name editor (see attachement). Even after
reopening this does not change.

#9 - 06/15/2018 03:25 PM - Andreas Miiller
- % Done changed from 0 to 30

#10 - 06/18/2018 11:49 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

now, the correct status for nom. illeg. is shown in name editor, please review

#11 - 06/18/2018 01:38 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

seems to work now.

Can you still add the last changeset and then close the ticket?

#12 - 06/18/2018 01:38 PM - Andreas Miiller
- % Done changed from 30 to 90

#13 - 06/18/2018 01:53 PM - Katja Luther
- Status changed from Feedback to Closed

#14 - 06/18/2018 01:53 PM - Katja Luther
- % Done changed from 90 to 100

Files

picture135-1.png 12.6 KB 06/15/2018 Andreas Miller
